Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.parser
Class IdlParser

    java.lang.Object
      |
      +--org.openorb.compiler.parser.IdlParser

public class IdlParser
extends java.lang.Object

The IDL parser

Version:
  $Revision: 1.8 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel

Field Summary
`java.util.Vector` | `compilationList` Compilation contexts list (when including)
`static IdlObject` | `container` Reference to the current container ( default is root )
`CompilationContext` | `ctx` Current compilation context
`static java.io.PrintStream` | `error_output` Error output
`java.lang.String[]` | `file_extension` File extension for parsing input
`static IdlComment` | `idl_comment` IDL Comment
`java.util.Vector` | `idlIncluded` Included IDL files list
`static int` | `include_level` Including depth
`boolean` | `macros_enabled` Macro expansion is turned on, read_word expands macros.
`int` | `pass` Indicates the conditional (if) compilation state.
`IdlObject` | `root` Compilation graph root node
`int` | `stop_else` Should stop compitlation on else.
`java.util.Vector` | `StopList` Stop symbols when error
`static int` | `totalError` Total errors count

Constructor Summary
`IdlParser()` Creates a parser

Method Summary
`IdlObject` | `compile_idl(java.lang.String file_name)` Start the compilation of an IDL file
`IdlObject` | `compile_idl(java.lang.String file_name, IdlObject current_root)` Start the compilation of an IDL file
`void` | `define_symbole()` Cette methode permet de definir un symbole pour la compilation conditionnelle.
`void` | `ifdef_symbole()` Cette methode permet la gestion de la compilation conditionnelle
`void` | `ifndef_symbole()` Cette methode permet la gestion de la compilation conditionnelle
`void` | `include_idl_file(java.lang.String file_name)` Cette methode permet la compilation d'un fichier inclus
`void` | `include_idl()` Cette methode permet la compilation d'un fichier inclus
`boolean` | `is_java_reserved_word()` Cette methode compare un mot avec les identificateurs de la liste des mots reserves java et retourne VRAI dans le cas ou celui-ci est trouve
`boolean` | `is_reserved_word()` Cette methode compare un mot avec les identificateurs de la liste des mots reserves et retourne VRAI dans le cas ou celui-ci est trouve
`CompilationContext` | `new_compilation_context()` Cette methode cree un nouveau contexte de compilation.
`void` | `open_idl_file(java.lang.String source_name)` Open an IDL file
`void` | `parse()` This method parses an IDL file.
`void` | `pre_parse()` Cette methode effectue une tache de pre-compilation
`void` | `precompiler_error()`
`void` | `precompiler_warning()`
`boolean` | `read_description()` This function extracts from an IDL comment a section description.
`void` | `read_number()` Cette methode permet de lire un nombre dans un flux d'entree
`void` | `read_word()` Cette methode permet d'extraire un mot d'un flux d'entree
`void` | `scan_comment()` This method scan rich comment like java doc
`void` | `scan()` Cette methode scan un fichier
`void` | `show_error(java.lang.String msg)` Prints an error
`static void` | `show_fatal_error(java.lang.String message)` Print error message and exit
`void` | `show_internal_error()` Print error message and exit
`void` | `stopAt(java.util.Vector list)` Cette methode deroule un fichier IDL jusqu'a lecture d'un des elements specifies
`void` | `symbole()` Cette methode extrait les symboles de la grammaire IDL
`void` | `to_reserved_word()` Retourne un token de mot reserve dans le cas de l'identificateur trouve dans la liste des mots reserves
`void` | `undefine_symbole()` Cette methode permet de supprimer un symbole precedemment defini pour la compilation conditionnelle.
`void` | `unscan()`
`void` | `warning(java.lang.String msg)` Print a warning

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    public IdlObject root

  Compilation graph root node

### container

    public static IdlObject container

  Reference to the current container ( default is root )

### error_output

    public static java.io.PrintStream error_output

  Error output

### file_extension

    public java.lang.String[] file_extension

  File extension for parsing input

### totalError

    public static int totalError

  Total errors count

### ctx

    public CompilationContext ctx

  Current compilation context

### StopList

    public java.util.Vector StopList

  Stop symbols when error

### include_level

    public static int include_level

  Including depth

### idl_comment

    public static IdlComment idl_comment

  IDL Comment

### compilationList

    public java.util.Vector compilationList

  Compilation contexts list (when including)

### idlIncluded

    public java.util.Vector idlIncluded

  Included IDL files list

### pass

    public int pass

  Indicates the conditional (if) compilation state.

### stop_else

    public int stop_else

  Should stop compitlation on else.

### macros_enabled

    public boolean macros_enabled

  Macro expansion is turned on, read_word expands macros.

Constructor Detail

### IdlParser

    public IdlParser()

  Creates a parser

Method Detail

### show_error

    public void show_error(java.lang.String msg)

  Prints an error
  Parameters:
    `msg` - error message

### show_internal_error

    public void show_internal_error()

  Print error message and exit

### show_fatal_error

    public static void show_fatal_error(java.lang.String message)

  Print error message and exit
  Parameters:
    `message` - error message

### warning

    public void warning(java.lang.String msg)

  Print a warning
  Parameters:
    `msg` - warning text

### is_reserved_word

    public boolean is_reserved_word()

  Cette methode compare un mot avec les identificateurs de la liste des mots reserves et retourne VRAI dans le cas ou celui-ci est trouve

### is_java_reserved_word

    public boolean is_java_reserved_word()

  Cette methode compare un mot avec les identificateurs de la liste des mots reserves java et retourne VRAI dans le cas ou celui-ci est trouve

### to_reserved_word

    public void to_reserved_word()

  Retourne un token de mot reserve dans le cas de l'identificateur trouve dans la liste des mots reserves

### new_compilation_context

    public CompilationContext new_compilation_context()

  Cette methode cree un nouveau contexte de compilation. Un tel contexte est obligatoire pour compiler un fichier.
  Returns:
    retourne un nouveau contexte de compilation
  See Also:
    `CompilationContext`

### open_idl_file

    public void open_idl_file(java.lang.String source_name)

  Open an IDL file
  Parameters:
    `file_name` - file name

### include_idl

    public void include_idl()

  Cette methode permet la compilation d'un fichier inclus

### include_idl_file

    public void include_idl_file(java.lang.String file_name)

  Cette methode permet la compilation d'un fichier inclus

### precompiler_error

    public void precompiler_error()

### precompiler_warning

    public void precompiler_warning()

### define_symbole

    public void define_symbole()

  Cette methode permet de definir un symbole pour la compilation conditionnelle.

### undefine_symbole

    public void undefine_symbole()

  Cette methode permet de supprimer un symbole precedemment defini pour la compilation conditionnelle.

### ifndef_symbole

    public void ifndef_symbole()

  Cette methode permet la gestion de la compilation conditionnelle

### ifdef_symbole

    public void ifdef_symbole()

  Cette methode permet la gestion de la compilation conditionnelle

### read_description

    public boolean read_description()

  This function extracts from an IDL comment a section description.

### scan_comment

    public void scan_comment()

  This method scan rich comment like java doc

### scan

    public void scan()

  Cette methode scan un fichier

### unscan

    public void unscan()

### pre_parse

    public void pre_parse()

  Cette methode effectue une tache de pre-compilation

### read_word

    public void read_word()

  Cette methode permet d'extraire un mot d'un flux d'entree

### read_number

    public void read_number()

  Cette methode permet de lire un nombre dans un flux d'entree

### parse

    public void parse()

  This method parses an IDL file.

### symbole

    public void symbole()

  Cette methode extrait les symboles de la grammaire IDL

### stopAt

    public void stopAt(java.util.Vector list)

  Cette methode deroule un fichier IDL jusqu'a lecture d'un des elements specifies
  Parameters:
    `list` - Liste des elements d'arret

### compile_idl

    public IdlObject compile_idl(java.lang.String file_name,
                                 IdlObject current_root)

  Start the compilation of an IDL file
  Parameters:
    `file_name` - IDL file name
  Returns:
    compilation graph root
  See Also:
    `IdlObject`

### compile_idl

    public IdlObject compile_idl(java.lang.String file_name)

  Start the compilation of an IDL file
  Parameters:
    `file_name` - IDL file name
  Returns:
    compilation graph root
  See Also:
    `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD